de.caff.util.settings

## Class SimpleBytePreferenceProperty

- java.lang.Object
- - de.caff.util.settings.AbstractBasicChangeableItem
  - - de.caff.util.settings.SimpleByteProperty
    - - de.caff.util.settings.SimpleBytePreferenceProperty

- All Implemented Interfaces:
    BytePreferenceProperty, ChangeableItem, PreferenceProperty, Property<java.lang.Byte>, java.io.Serializable

      public class SimpleBytePreferenceProperty
      extends SimpleByteProperty
      implements BytePreferenceProperty

  Simple preference property holding a byte value.
  Since:
    November 27, 2016
  Author:
    Rammi
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface de.caff.util.settings.PreferenceProperty

      `PROPERTY_VALUE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleBytePreferenceProperty(java.lang.String basicName)` Constructor.
    `SimpleBytePreferenceProperty(java.lang.String basicName, byte value)` Constructor.
    `SimpleBytePreferenceProperty(java.lang.String basicName, int initialValue)` Convenience constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `readFrom(java.util.prefs.Preferences preferences)` Read the property value from the preferences.
    `void` | `storeTo(java.util.prefs.Preferences preferences)` Store the current property value in the preferences.

    - ### Methods inherited from class de.caff.util.settings.SimpleByteProperty

      `getValue, setValue, setValue, setValue`

    - ### Methods inherited from class de.caff.util.settings.AbstractBasicChangeableItem

      `addValueChangeListener, addValueChangeListenerWeakly, firePropertyChange, fireValueChange, fireValueChange, fireValueChange, getBasicName, getPropertyName, removeValueChangeListener, removeValueChangeListenerWeakly`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface de.caff.util.settings.BytePreferenceProperty

      `setValue`

    - ### Methods inherited from interface de.caff.util.settings.Property

      `getValue, setValue`

    - ### Methods inherited from interface de.caff.util.settings.ChangeableItem

      `addValueChangeListener, addValueChangeListenerWeakly, removeValueChangeListener, removeValueChangeListenerWeakly`

- - ### Constructor Detail

    - #### SimpleBytePreferenceProperty

          public SimpleBytePreferenceProperty(@NotNull
                                              java.lang.String basicName)

      Constructor.
      Parameters:
        `basicName` - basic property name or prefix

    - #### SimpleBytePreferenceProperty

          public SimpleBytePreferenceProperty(@NotNull
                                              java.lang.String basicName,
                                              int initialValue)

      Convenience constructor.
      Parameters:
        `basicName` - basic property name or prefix
        `initialValue` - initialValue, only the lower 8 bits are used

    - #### SimpleBytePreferenceProperty

          public SimpleBytePreferenceProperty(@NotNull
                                              java.lang.String basicName,
                                              byte value)

      Constructor. Construct a property with the given name or name prefix.
      Parameters:
        `basicName` - name or name prefix
        `value` - initial value

  - ### Method Detail

    - #### readFrom

          public void readFrom(@NotNull
                               java.util.prefs.Preferences preferences)

      Read the property value from the preferences.
      Specified by:
        `readFrom` in interface `PreferenceProperty`
      Parameters:
        `preferences` - preferences from where to read the property value

    - #### storeTo

          public void storeTo(@NotNull
                              java.util.prefs.Preferences preferences)

      Store the current property value in the preferences.
      Specified by:
        `storeTo` in interface `PreferenceProperty`
      Parameters:
        `preferences` - preferences where to store the property value